function sendMessage(res, channel, data) {
    res.write(`event: ${channel}\nid: 0\ndata: ${data}\n`);
    res.write('\n\n');
}
export class EsmHmrEngine {
    constructor() {
        this.clients = [];
    }
    broadcastMessage(channel, data) {
        for (const client of this.clients) {
            sendMessage(client, channel, JSON.stringify(data));
        }
    }
    connectClient(res) {
        res.writeHead(200, {
            Connection: 'keep-alive',
            'Content-Type': 'text/event-stream',
            'Cache-Control': 'no-cache',
            'Access-Control-Allow-Origin': '*',
        });
        sendMessage(res, 'connected', 'ready');
        setInterval(sendMessage, 60000, res, 'ping', 'waiting');
        this.clients.push(res);
    }
    disconnectClient(client) {
        this.clients.splice(this.clients.indexOf(client), 1);
    }
    disconnectAllClients() {
        for (const client of this.clients) {
            client.end();
        }
    }
}
